Debian Bug report logs - #225255
dialog: support --default-item for checklists

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jörg Sommer <joerg@alea.gnuu.de>

Date: Sat, 27 Dec 2003 23:33:01 UTC

Severity: wishlist

Found in version 0.9b-20031207-1

Fixed in version dialog/0.9b-20040301-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#225255; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: support --default-item for checklists
Date: Sat, 27 Dec 2003 22:23:37 +0100
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 0.9b-20031207-1
Severity: wishlist

Hi,

a checkbox is very similar to a menu. For a user dialog it is sometimes
neccessary to place the cursor at another item then the first one. Hence
the option --default-item would be very useful for checkboxes too.

Bye, Joerg.

-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux ibook 2.6.0-test11-benh #1 Mon Dec 22 11:33:22 CET 2003 ppc
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages dialog depends on:
ii  debianutils               2.6.1          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information

-- 
Diskutiere nie mit einem Idioten:
Sie ziehen Dich auf ihr Niveau herab und schlagen Dich dann mit
Erfahrung.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 225255-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 225255-forwarded@bugs.debian.org, Jörg Sommer <joerg@alea.gnuu.de>
Subject: Bug#225255: dialog: support --default-item for checklists (fwd)
Date: Fri, 2 Jan 2004 17:44:36 +0100 (CET)
Hello.

Received this last year :-)

---------- Forwarded message ----------
From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Sat, 27 Dec 2003 22:23:37 +0100
Subject: Bug#225255: dialog: support --default-item for checklists

Package: dialog
Version: 0.9b-20031207-1
Severity: wishlist

Hi,

a checkbox is very similar to a menu. For a user dialog it is sometimes
neccessary to place the cursor at another item then the first one. Hence
the option --default-item would be very useful for checkboxes too.

Bye, Joerg.



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jörg Sommer <joerg@alea.gnuu.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 225255-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 225255-close@bugs.debian.org
Subject: Bug#225255: fixed in dialog 0.9b-20040301-1
Date: Tue, 02 Mar 2004 16:17:02 -0500
Source: dialog
Source-Version: 0.9b-20040301-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20040301-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20040301-1.diff.gz
dialog_0.9b-20040301-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20040301-1.dsc
dialog_0.9b-20040301-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20040301-1_i386.deb
dialog_0.9b-20040301.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20040301.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 225255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  2 Mar 2004 19:10:02 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20040301-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 223488 225255 232441 233044
Changes: 
 dialog (0.9b-20040301-1) unstable; urgency=low
 .
   * New upstream release.
   - The interaction between "--default-no" and "--no-cancel" is now
     documented (Closes: #223488).
   - The --default-item option now works with checklist too (Closes: #225255).
   - There are now Ukrainian messages (Closes: #232441).
   - Fixed a segfault problem in checklist (Closes: #233044).
Files: 
 a29dc8dd737d11001efe5c9efb3a668b 596 misc optional dialog_0.9b-20040301-1.dsc
 734e32b5d3864ca4039844a5cd75f650 263843 misc optional dialog_0.9b-20040301.orig.tar.gz
 a94e0276aa573c16a6e2766d66b62cea 7093 misc optional dialog_0.9b-20040301-1.diff.gz
 10f50d47211eeb3ffcba507ee4c612fd 158294 misc optional dialog_0.9b-20040301-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFARM69d9Uuvj7yPNYRAogdAKDFQJeUHwbD/bTkrEjz+LUiS2x4UwCgwWze
pm7LE+0LTXgBKQz7fpYHdhw=
=jrFW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:59:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.